After update to 9.12.5 license is not valid anymore

Lorenzo Buzzi March 11, 2024

Hello,

we have an on-premise installation of Jira server 9.12.x LTS with 'jira starter' license.

We know that, from 12/02/2024 and 9.13, the 'data-center' is the only on-premise edition available, so we payed attention to stay in 9.12.x.

All the previous updates (9.12.0-->9.12.1-->9.12.2-->9.12.3-->9.12.4) were smooth.

Today I’ve tried to update from version 9.12.4 to version 9.12.5, and I cannot start the jira-services because 'my license code (jira starter) is not valid anymore'.

Is it possible?

The same happened with Confluence moving from 8.5.6 to 8.5.7.

1 answer

0 votes
Matt Parks
Rising Star
Rising Star
Rising Stars are recognized for providing high-quality answers to other users. Rising Stars receive a certificate of achievement and are on the path to becoming Community Leaders.
March 11, 2024

It is not possible. If you are running the Server version of Jira or Confluence, you can only upgrade to the latest version that was available at the time that support ends. Since Jira 9.12.5 and Confluence 8.5.7 were released after the time that support for the Server versions of those applications ended, you cannot upgrade to those versions.

Lorenzo Buzzi March 13, 2024

Sorry for the naive question, but why releasing something after the end of support if no-one can install it?

Matt Parks
Rising Star
Rising Star
Rising Stars are recognized for providing high-quality answers to other users. Rising Stars receive a certificate of achievement and are on the path to becoming Community Leaders.
March 13, 2024

Server and Data Center use the same versions. So the 9.12.5 version of Jira is really just for Data Center. Any previous version can be installed for either Server or Data Center.

Lorenzo Buzzi March 13, 2024

This page (https://www.atlassian.com/it/software/jira/download-archives) appears different in English and in Italian.

While in English the title is Jira Data Center download archives in Italian it is Archivi download Jira Server e Data Center. Even if you don't understand Italian, you cannot state that looking at the Italian version (the one I usually refer to) you are caused to believe that, at least version 9.12.x is still a Server too.

Furthermore, the yellow backgrounded square on the top of that page reports word from word:

Starting from 9.13, new Jira releases support only Data Center licenses. If you try to upgrade to release 9.13 or later with your Server license, Jira will fail to start, and you’ll need to downgrade to the version you were on before the upgrade.

 If you’d like to continue using a Server license, you can upgrade to Jira 9.12 version or earlier.

So, IMHO, version 9.12.5 is a 9.12 so either Atlassian correct the above-mentioned text or they allow to upgrade Server 9.12.4.to 9.12.5.

Suggest an answer

Log in or Sign up to answer